# https://github.com/fsfe/reuse-tool

Name:           reuse
Version:        1.1.2
Release:        %mkrel 1
Summary:        A tool for compliance with the REUSE recommendations
Group:          File tools
License:        GPLv3+ and CC-BY-SA and ASL 2.0
Url:            https://reuse.software/
Source0:        %pypi_source
Patch0:         reuse-fix-reqs.patch
BuildArch:      noarch

# Build
BuildRequires:  pyproject-rpm-macros
BuildRequires:  gettext
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
# Test
BuildRequires:  git
BuildRequires:  mercurial
BuildRequires:  python3dist(pytest)
# Dependencies
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(binaryornot)
BuildRequires:  python3dist(boolean-py)
BuildRequires:  python3dist(license-expression)
BuildRequires:  python3dist(poetry)
BuildRequires:  python3dist(python-debian)
BuildRequires:  python3dist(requests)
# Documentation
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(sphinx-autodoc-typehints)
BuildRequires:  python3dist(sphinxcontrib-apidoc)
BuildRequires:  python3dist(recommonmark)

Recommends:     git
Recommends:     mercurial

%description
A tool for compliance with the REUSE recommendations. Essentially,
it is a linter that checks for a project's compliance, and a compiler that
generates a project's bill of materials.

%prep
%autosetup -p1

%build
%pyproject_wheel

pushd docs
PBR_VERSION=%{version} sphinx-build-%{python3_version} . html
rm -rf html/.{doctrees,buildinfo}
popd

%install
%pyproject_install

%pyproject_save_files reuse

%check
#pytest

%files -f %{pyproject_files}
%license LICENSES/*.txt
%doc README.md CHANGELOG.md docs/html/
%{_bindir}/%{name}


%changelog
* Sat Feb 11 2023 daviddavid <daviddavid> 1.1.2-1.mga9
+ Revision: 1940107
- new version: 1.1.2

* Wed Feb 08 2023 papoteur <papoteur> 1.1.1-2.mga9
+ Revision: 1939501
- fix python-debian dependency

* Mon Feb 06 2023 daviddavid <daviddavid> 1.1.1-1.mga9
+ Revision: 1938908
- new version: 1.1.1
- switch to pyproject

* Wed Dec 07 2022 daviddavid <daviddavid> 1.0.0-1.mga9
+ Revision: 1918851
- initial package reuse

